> ## Documentation Index
> Fetch the complete documentation index at: https://developers.supapost.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Product

> Update an existing product.

## Path Parameters

<ParamField path="id" type="string" required>
  Product ID.
</ParamField>

## Body Parameters

All fields are optional. Only provided fields will be updated.

<ParamField body="name" type="string">Product name.</ParamField>
<ParamField body="description" type="string">Product description.</ParamField>
<ParamField body="price" type="number">Product price.</ParamField>
<ParamField body="compare_at_price" type="number">Compare at price.</ParamField>
<ParamField body="currency" type="string">Currency code.</ParamField>
<ParamField body="sku" type="string">Stock keeping unit.</ParamField>
<ParamField body="status" type="string">Status: `active`, `draft`, or `archived`.</ParamField>
<ParamField body="image_url" type="string">Primary image URL.</ParamField>
<ParamField body="product_url" type="string">External product URL.</ParamField>

## Response

```json 200 theme={null}
{
  "id": "prod-uuid",
  "name": "Classic T-Shirt",
  "price": 24.99,
  "status": "active",
  "updated_at": "2026-04-08T19:00:00Z"
}
```
